
%define deb_package ocenaudio_debian8_64_%{version}.deb


Summary: Analyze audio files
Name: ocenaudio 
Version:  3.13.8
Release: %mkrel 1
License: GPL
Group: Sound
URL: https://www.ocenaudio.com/
Source: ocenaudio_debian8_64_%{version}.deb
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar sd
AutoReqProv: no
Requires: lib64alsa2
Requires: lib64bzip2_1
Requires: lib64openssl1.0.0
Requires: lib64jack0
Requires: lib64pulseaudio0
Requires: lib64qt5concurrent5
Requires: lib64qt5core5
Requires: lib64qt5gui5
Requires: lib64qt5widgets5
Requires: lib64qt5network5
Requires: lib64uuid1
Requires: lib64xml2_2

%description
ocenaudio is a cross-platform, easy to use, fast and functional audio editor.
It is the ideal software for people who need to edit and analyze audio files
without complications. ocenaudio also has powerful features that will please
more advanced users.

%prep

%build

%install
rm -rf %buildroot
mkdir %buildroot

# extract data from the deb package
ar p %{_sourcedir}/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot

#fix menu entry
sd "AudioVideo;Audio;AudioVideoEditing;" "X-MandrivaLinux-Multimedia-Sound;" %buildroot/%{_datadir}/applications/ocenaudio.desktop
sd "Name=ocenaudio" "Name=Ocenaudio" %buildroot/%{_datadir}/applications/ocenaudio.desktop

#remove devel libraries
rm -f %buildroot/opt/ocenaudio/lib/*.so


%post
ln -fs /lib64/libudev.so.0.12.0 /lib64/libudev.so.1
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''


%clean
rm -rf %buildroot

%files
/opt/ocenaudio
%{_datadir}/applications/ocenaudio.desktop
%{_datadir}/icons/hicolor/128x128/apps/ocenaudio.png
%{_datadir}/icons/hicolor/16x16/apps/ocenaudio.png
%{_datadir}/icons/hicolor/22x22/apps/ocenaudio.png
%{_datadir}/icons/hicolor/24x24/apps/ocenaudio.png
%{_datadir}/icons/hicolor/32x32/apps/ocenaudio.png
%{_datadir}/icons/hicolor/36x36/apps/ocenaudio.png
%{_datadir}/icons/hicolor/48x48/apps/ocenaudio.png
%{_datadir}/icons/hicolor/64x64/apps/ocenaudio.png
%{_datadir}/icons/hicolor/72x72/apps/ocenaudio.png
%{_datadir}/icons/hicolor/96x96/apps/ocenaudio.png
%{_datadir}/mime/packages/ocenaudio.xml

%changelog
* Wed Apr 17 2024 tex - 3.13.8-1pclos2024
- new version

* Thu Mar 28 2024 tex - 3.13.7-1pclos2024
- new version

* Fri Mar 22 2024 tex - 3.13.5-1pclos2024
- new version

* Sun Feb 11 2024 tex - 3.13.4-1pclos2024
- new version

* Tue Jan 09 2024 tex - 3.13.3-1pclos2024
- new version

* Fri Nov 03 2023 tex - 3.13.2-1pclos2023
- new version

* Thu Oct 05 2023 tex - 3.13.1-1pclos2023
- new version

* Mon Sep 04 2023 tex - 3.12.7-1pclos2023
- new version

* Wed Aug 09 2023 tex - 3.12.5-1pclos2023
- new version

* Thu Jun 29 2023 tex - 3.12.2-1pclos2023
- new version

* Fri May 05 2023 tex - 3.11.25-1pclos2023
- new version
